﻿import java.util.Scanner;

public class Project_34_5_10 {
  static Scanner cin = new Scanner(System.in);

  static final int EVENTS = 20;
  static final int COUNTRIES = 10;
  
  public static void main(String[] args) throws Exception {
    int j, i, needle, top, bottom, middle;
    boolean found;
  
    String[] countryNames = new String[COUNTRIES];
    String[][] eventDescriptions = new String[EVENTS][COUNTRIES];
    int[][] eventYears = new int[EVENTS][COUNTRIES];
    for (j = 0; j <= COUNTRIES - 1; j++) {
      System.out.print("Enter Country No. " + (j + 1) + ": ");
      countryNames[j] = cin.nextLine();
      for (i = 0; i <= EVENTS - 1; i++) {
        System.out.print("Enter description for event No. " + (i + 1) + ": ");
        eventDescriptions[i][j] = cin.nextLine();
        System.out.print("Enter year for event No. " + (i + 1) + ": ");
        eventYears[i][j] = Integer.parseInt(cin.nextLine());      
      }
    }
  
    System.out.print("Enter a year to search: ");
    needle = Integer.parseInt(cin.nextLine());
  
    middle = -1;
    for (j = 0; j <= COUNTRIES - 1; j++) {
      top = 0;
      bottom = EVENTS - 1;
      found = false;
      while (top <= bottom && !found) {
        middle = (int)((top + bottom) / 2);
  
        if (needle < eventYears[middle][j]) {
          bottom = middle - 1;
        }
        else if (needle > eventYears[middle][j]) {
          top = middle + 1;
        }
        else {
          found = true;
        }
      }
  
      if (!found) {
        System.out.println("No event found for country " + countryNames[j]);
      }
      else {
        System.out.println("Country: " + countryNames[j]);
        System.out.println("Year: " + eventYears[middle][j]);
        System.out.println("Event: " + eventDescriptions[middle][j]);
      }
    }
  }
}