﻿import java.util.Scanner;

public class Project_34_5_6 {
  static Scanner cin = new Scanner(System.in);

  static final int CITIES = 10;
  static final int CITIZENS = 30;
  
  public static void main(String[] args) throws Exception {
    int i, j, positionI, positionJ;
    boolean found;
    String needle;
  
    String[][] phoneNum = new String[CITIES][CITIZENS];
    String[][] ans = new String[CITIES][CITIZENS];
    for (i = 0; i <= CITIES - 1; i++) {
      System.out.println("City No. " + (i + 1));
      for (j = 0; j <= CITIZENS - 1; j++) {
        System.out.print("Enter phone number of citizen No. " + (j + 1) + ": ");
        phoneNum[i][j] = cin.nextLine();
  
        System.out.print("Enter the answer of citizen No. " + (j + 1) + ": ");
        ans[i][j] = cin.nextLine().toUpperCase();
        while (!ans[i][j].equals("Y") && !ans[i][j].equals("N") && !ans[i][j].equals("S")) {
          System.out.print("Wrong answer. Enter a valid one: ");
          ans[i][j] = cin.nextLine().toUpperCase();
        }
      }
    }
  
    System.out.print("Enter a phone number to search: ");
    needle = cin.nextLine();
  
    found = false;
    positionI = -1;
    positionJ = -1;      
    for (i = 0; i <= CITIES - 1; i++) {
      for (j = 0; j <= CITIZENS - 1; j++) {
        if (phoneNum[i][j].equals(needle)) { //If it is found
          found = true;
          positionI = i; //Keep row index where needle was found
          positionJ = j; //Keep column index where needle was found
          break;  //Exit the inner loop 
        }
      }
      if (found) 
        break;  //If it is found, exit the outer loop as well 
    }
  
    if (!found) {
      System.out.println("Phone number not found!");
    }
    else {
      System.out.print("Phone number " + phoneNum[positionI][positionJ] + " gave '");
  
      switch (ans[positionI][positionJ]) {
        case "Y":
          System.out.print("Yes");
          break;
        case "N":
          System.out.print("No");
          break;
        default:
          System.out.print("Sometimes");
      }
  
      System.out.println("' as an answer");
    }
  }
}