﻿import java.util.Scanner;
import java.util.HashMap;
import java.util.Map;

public class Project_34_6_7 {
  static Scanner cin = new Scanner(System.in);

  public static void main(String[] args) throws Exception {
    int i;
    String letter;
  
    //Create a hashmap to store the frequencies of each vowel with initial
    //frequencies all set to zero.
    HashMap<String, Integer> vowelsFrequency = new HashMap<>(
      Map.of("A", 0, "E", 0, "I", 0, "O", 0, "U", 0)
    );
  
    System.out.print("Enter an English sentence: ");
    String sentence = cin.nextLine();
  
    //Iterate through the characters of the user-provided sentence and if it is a vowel,
    //update (increase) the corresponding frequency count in the vowelsFrequency hashmap.
    for (i = 0; i < sentence.length(); i++) {
      letter = ("" + sentence.charAt(i)).toUpperCase();
      if (vowelsFrequency.containsKey(letter)) {
        vowelsFrequency.put(letter, vowelsFrequency.get(letter) + 1);
      }
    }
  
    //Display the frequencies of each vowel
    for (String vowel : vowelsFrequency.keySet()) {
      System.out.println(vowel + ": " + vowelsFrequency.get(vowel));
    }
  }
}