﻿import java.util.Scanner;

public class Project_38_2_2 {
  static Scanner cin = new Scanner(System.in);

  static final int PEOPLE = 20;
  
  static void mySwap(String[] a, int index1, int index2) {
    String temp;
  
    temp = a[index1];
    a[index1] = a[index2];
    a[index2] = temp;
  }
  
  static void mySort(String[] a, boolean ascending) {
    int m, n;
  
    for (m = 1; m <= PEOPLE - 1; m++) {
      for (n = PEOPLE - 1; n >= m; n--) {
        if (ascending) {
          if (a[n].compareTo(a[n - 1]) < 0) {
            mySwap(a, n, n - 1);
          }
        }
        else {
          if (a[n].compareTo(a[n - 1]) > 0) {
            mySwap(a, n, n - 1);
          }
        }
      }
    }
  }
  
  static void displayArray(String[] a) {
    int i;
  
    for (i = 0; i <= PEOPLE - 1; i++) {
      System.out.println(a[i]);
    }
  }
  
  public static void main(String[] args) throws Exception {
    int i;
  
    String[] names = new String[PEOPLE];
    for (i = 0; i <= PEOPLE - 1; i++) {
      System.out.print("Enter a name: ");
      names[i] = cin.nextLine();
    }
  
    mySort(names, true);        //Sort names in ascending order
    displayArray(names);        //and display them
  
    mySort(names, false);       //Sort names in descending order
    displayArray(names);        //and display them.
  }
}