﻿//Define the class SchoolMember.
class SchoolMember {
  public String name;
  public int age;

  //Define the constructor
  public SchoolMember(String name, int age) {
    this.name = name;
    this.age = age;
    System.out.println("A school member was initialized");
  }
}

//Define the class Teacher. It inherits the class SchoolMember.
class Teacher extends SchoolMember {
  public double salary;  //This is an additional field for class Teacher

  //Define the constructor
  public Teacher(String name, int age, double salary) {
    super(name, age);  //Call the constructor of the class SchoolMember
    this.salary = salary; 
    System.out.println("A teacher was initialized");
  }

  //This is an additional method for this class
  public void displayValues() {
    System.out.println("Name: " + this.name);
    System.out.println("Age: " + this.age);
    System.out.println("Salary: " + this.salary);
  }
}

//Define the class Student. It inherits the class SchoolMember.
class Student extends SchoolMember {
  public String finalGrade;  //This is an additional field for this class

  //Define the constructor
  public Student(String name, int age, String finalGrade) {
    super(name, age);  //Call the constructor of the class SchoolMember
    this.finalGrade = finalGrade;
    System.out.println("A student was initialized");
  }

  //This is an additional method for this class
  public void displayValues() {
    System.out.println("Name: " + this.name);
    System.out.println("Age: " + this.age);
    System.out.println("Salary: " + this.finalGrade);
  }
}

public class Project_39_7 {
  public static void main(String[] args) throws Exception {
    Teacher teacher1 = new Teacher("Mr. John Scott", 43, 35000);
    Teacher teacher2 = new Teacher("Mrs. Ann Carter", 5, 32000);

    Student student1 = new Student("Mark Nelson", 14, "A");
    Student student2 = new Student("Mary Morgan", 13, "B");

    teacher1.displayValues();
    teacher2.displayValues();
    student1.displayValues();
    student2.displayValues();
  }
}
