﻿import java.util.Scanner;
import java.nio.file.Paths;

public class Project_41_1_5 {
  static Scanner cin = new Scanner(System.in);

  static final String PATH = "c:/temp/";
  
  public static void main(String[] args) throws Exception {
    String ssnToSearch, line, ssn, fullName;
    boolean found;
  
    System.out.print("Enter an SSN to search: ");
    ssnToSearch = cin.nextLine();
  
    Scanner fin = new Scanner(Paths.get(PATH + "SSN.txt"));
  
    found = false;
    while (fin.hasNextLine()) {
      line = fin.nextLine();
      ssn = line.substring(0, 9);
      fullName = line.substring(10);
  
      //If it is found
      if (ssnToSearch.equals(ssn.substring(0, ssnToSearch.length()))) {
        System.out.println(fullName);
        found = true;
  
        //If SSN to search contains 9 digits and it is found, exit loop
        if (ssnToSearch.length() == 9) {
          break;
        }
      }
    }
  
    fin.close();
  
    if (!found) {
      System.out.println("Not found!");
    }
  }
}