﻿import java.util.Scanner;

public class Project_30_5_7 {
  static Scanner cin = new Scanner(System.in);

  static final double ACCURACY = 0.0000000000001;
  
  public static void main(String[] args) throws Exception {
    double y, guess;
  
    System.out.print("Enter a non-negative number: ");
    y = Double.parseDouble(cin.nextLine());
    while (y < 0) {
      System.out.print("Invalid value. Enter a non-negative number: ");
      y = Double.parseDouble(cin.nextLine());
    }
  
    //Make a random first guess between 1 and user-provided value
    guess = 1 + (Math.random() * y);
  
    while (Math.abs(guess * guess - y) > ACCURACY) { //Is it "close enough"?
      guess = (guess + y / guess) / 2;    //No, create a new "guess"!
    }
    System.out.println(guess);
  }
}