﻿import java.util.Scanner;

public class Project_34_4_10 {
  static Scanner cin = new Scanner(System.in);

  static final int CARS = 10;
  static final int LAPS = 20;
  
  public static void main(String[] args) throws Exception {
    int i, j, m, n;
    double element;
  
    //Read names and elapsed times all together
    String[] names = new String[CARS];
    double[][] elapsedTimes = new double[CARS][LAPS];
    for (i = 0; i <= CARS - 1; i++) {
      System.out.print("Enter name for driver No. " + (i + 1) + ": ");
      names[i] = cin.nextLine();
      for (j = 0; j <= LAPS - 1; j++) {
        System.out.print("Enter elapsed time for lap No. " + (j + 1) + ": ");
        elapsedTimes[i][j] = Double.parseDouble(cin.nextLine());
      }
    }
  
    //Sort array elapsedTimes
    for (i = 0; i <= CARS - 1; i++) {
      for (m = 1; m <= LAPS - 1; m++) {
        element = elapsedTimes[i][m];
        n = m;
        while (n > 0 && elapsedTimes[i][n - 1] < element) {
          elapsedTimes[i][n] = elapsedTimes[i][n - 1];
          n--;
        }
        elapsedTimes[i][n] = element;
      }
    }
  
    //Display 3 worst elapsed times
    for (i = 0; i <= CARS - 1; i++) {
      System.out.println("Worst elapsed times of " + names[i]);
      System.out.println("-----------------------------------");
      for (j = 0; j <= 2; j++) {
        System.out.println(elapsedTimes[i][j]);
      }
    }
  }
}