﻿import java.util.Scanner;

public class Project_34_5_9 {
  static Scanner cin = new Scanner(System.in);

  static final int EVENTS = 20;
  static final int COUNTRIES = 10;
  
  public static void main(String[] args) throws Exception {
    int j, i, left, right, middle;
    boolean found;
    String needle;
  
    String[] countryNames = new String[COUNTRIES];
    String[][] eventDescriptions = new String[EVENTS][COUNTRIES];
    for (j = 0; j <= COUNTRIES - 1; j++) {
      System.out.print("Enter Country No. " + (j + 1) + ": ");
      countryNames[j] = cin.nextLine();
      for (i = 0; i <= EVENTS - 1; i++) {
        System.out.print("Enter description for event No. " + (i + 1) + ": ");
        eventDescriptions[i][j] = cin.nextLine();   
      }
    }
  
    System.out.print("Enter a country to search: ");
    needle = cin.nextLine().toUpperCase();
  
    //Country names are entered in alphabetical order.
    //Use the binary search algorithm to search for needle.
    middle = -1;
    left = 0;
    right = EVENTS - 1;
    found = false;
    while (left <= right && !found) {
      middle = (int)((left + right) / 2);
  
      if (needle.compareTo(countryNames[middle].toUpperCase()) < 0) {
        right = middle - 1;
      }
      else if (needle.compareTo(countryNames[middle].toUpperCase()) > 0) {
        left = middle + 1;
      }
      else {
        found = true;
      }
    }
  
    if (!found) {
      System.out.println("No country found!");
    }
    else {
      for (i = 0; i <= EVENTS - 1; i++) {
        System.out.println(eventDescriptions[i][middle]);
      }
    }
  }
}