﻿import java.util.Scanner;

public class Project_34_6_6 {
  static Scanner cin = new Scanner(System.in);

  static final int TEAMS = 32;
  static final int PLAYERS = 24;
  
  public static void main(String[] args) throws Exception {
    int i, j, m, n, temp;
    String tempStr;
  
    //Read team names, player names and goals all together
    String[] t = new String[TEAMS];
    String[][] p = new String[TEAMS][PLAYERS];
    int[][] g = new int[TEAMS][PLAYERS];
    for (i = 0; i <= TEAMS - 1; i++) {
      System.out.print("Enter name for team No. " + (i + 1) + ": ");
      t[i] = cin.nextLine();
      for (j = 0; j <= PLAYERS - 1; j++) {
        System.out.print("Enter name of player No. " + (j + 1) + ": ");
        p[i][j] = cin.nextLine();
        System.out.print("Enter goals of player No. " + (j + 1) + ": ");
        g[i][j] = Integer.parseInt(cin.nextLine());
      }
    }
  
    //Sort array g
    for (i = 0; i <= TEAMS - 1; i++) {
      for (m = 1; m <= 5; m++) {   //Perform 5 passes
        for (n = PLAYERS - 1; n >= m; n--) {
          if (g[i][n] > g[i][n - 1]) {
            temp = g[i][n];
            g[i][n] = g[i][n - 1];
            g[i][n - 1] = temp;
  
            tempStr = p[i][n];
            p[i][n] = p[i][n - 1];
            p[i][n - 1] = tempStr;
          }
        }
      }
    }
  
    //Display 5 best scorers of each team
    for (i = 0; i <= TEAMS - 1; i++) {
      System.out.println("Best scorers of " + t[i]);
      System.out.println("-----------------------------------");
      for (j = 0; j <= 4; j++) {
        System.out.println(p[i][j] + " scored " + g[i][j] + " goals");
      }
    }
  }
}