﻿import java.util.Scanner;

public class Project_38_2_1 {
  static Scanner cin = new Scanner(System.in);

  static final int PEOPLE = 50;
  
  static int getAge() {
    int age;
  
    System.out.print("Enter an age: ");
    age = Integer.parseInt(cin.nextLine());
    while (age <= 0) {
      System.out.print("Error: Invalid age\nEnter a positive number: ");
      age = Integer.parseInt(cin.nextLine());
    }
  
    return age;
  }
  
  static int findMax(int[] a) {
    int i, maximum, maxI;
  
    maximum = a[0];
    maxI = 0;
    for (i = 1; i <= PEOPLE - 1; i++) {
      if (a[i] > maximum) {
        maximum = a[i];
        maxI = i;
      }
    }
    return maxI;
  }
  
  public static void main(String[] args) throws Exception {
    int i, indexOfMax;
  
    String[] firstNames = new String[PEOPLE];
    String[] lastNames = new String[PEOPLE];
    int[] ages = new int[PEOPLE];
    for (i = 0; i <= PEOPLE - 1; i++) {
      System.out.print("Enter first name of person No " + (i + 1) + ": ");
      firstNames[i] = cin.nextLine();
      System.out.print("Enter last name of person No " + (i + 1) + ": ");
      lastNames[i] = cin.nextLine();
      ages[i] = getAge();
    }
  
    indexOfMax = findMax(ages);
  
    System.out.println("The oldest person is:");
    System.out.println(firstNames[indexOfMax] + lastNames[indexOfMax]);
    System.out.println("They are " + ages[indexOfMax] + " years old!");
  }
}