﻿class FahrenheitToCelsius {
  private double _temperature;  //Declare field temperature as private

  //Define the constructor
  public FahrenheitToCelsius(double value) throws Exception { 
    this.setTemperature(value);   //Call the setter
  }

  //This method gets the temperature
  public double getTemperature() {
    return 5.0 / 9.0 * (this._temperature - 32.0);
  }

  //This method sets the temperature
  public void setTemperature(double value) throws Exception { 
    if (value >= -459.67) {
      this._temperature = value;
    }
    else {
      throw new Exception("There is no temperature below -459.67");
    }
  }
}

public class Project_39_5c {
  public static void main(String[] args) throws Exception {
    FahrenheitToCelsius x = new FahrenheitToCelsius(-50);  //Create object x. This calls the
                                                           //constructor which,
                                                           //in turn, calls the setter.
    System.out.println(x.getTemperature());  //This calls the getter.

    x.setTemperature(-65);                   //This calls the setter.
    System.out.println(x.getTemperature());  //This calls the getter.

    x._temperature = -50;                    //This is NOT permitted!
    System.out.println(x._temperature);      //This is NOT permitted as well!
  }
}
