﻿import java.util.Scanner;
import java.io.FileWriter;
import java.nio.file.Paths;

public class Project_41_1_6 {
  static Scanner cin = new Scanner(System.in);

  static String readContent(String filename) throws Exception {
    Scanner fin = new Scanner(Paths.get(filename));
  
    String contents = "";
    while (fin.hasNextLine()) {
      contents += fin.nextLine() + "\n";
    }
    fin.close();
  
    return contents;
  }
  
  static void writeContent(String filename, String contents) throws Exception {
    FileWriter fout = new FileWriter(filename);
    fout.write(contents);
    fout.close();
  }
  
  public static void main(String[] args) throws Exception {
    System.out.print("Enter source filename: ");
    String source = cin.nextLine();
  
    System.out.print("Enter destination filename: ");
    String destination = cin.nextLine();
  
    String c = readContent(source);   //Equivalent to:
    writeContent(destination, c);     //writeContent(destination, readContent(source))
  }
}